import { shallowMount } from '@vue/test-utils';
import buttonBack from '@/iss-components/site-sub-header/button-back/button-back.vue';

describe('back button', () => {
    test('renders a button', () => {
    // Arrange
        const myFunction = () => {};

        // Act
        const wrapper = shallowMount(buttonBack, {
            propsData: {
                backButtonAction: myFunction,
                backButtonAccessibleText: 'something'
            }
        });

        // Assert
        expect(wrapper.find('button').exists()).toBe(true);
        wrapper.unmount();
    });
});
